@echo	off
::---------------------------------------------------------------------------
:: Make tui.exe
::
:: maketui Debug	makes debug version
:: maketui (Release)	makes release version
::
:: Win98	Needs > 256 bytes of environment - add to CONFIG.SYS:
::		shell=command.com /e:1024 /p
::
::		FIND.EXE and MOVE.EXE are required in the path. In Win98
::		they are in \windows\command.
::
:: WinXP	FIND.EXE is required in the path. In WinXP it is in
::		\windows\system32 (see below).
::
::		Make a new shortcut to maketui.bat and set the compatibility
::		mode to 'Windows 98/ME'.
::
:: LINK V7.00 option '/OPT:NOWIN98' forces 512 byte section alignment in the
:: PE file which reduces it to the size of LINK V5.12 output. '/OPT:WIN98' is
:: the default and aligns at 4k which makes the executable larger.
::
:: With /DEBUG the linker defaults to /OPT:NOREF which adds all unreferenced
:: functions. For referenced functions only add /OPT:REF. The deprecated
:: /DEBUGTYPE option is left out and the PDB name defaults to TUI.PDB
::---------------------------------------------------------------------------


:: System.

:: Win98
set path=C:\masm32\bin;C:\windows\command

:: WinXP
::set path=C:\masm32\bin;C:\windows\system32


:: Setup.

if "%1"=="Debug" goto Debug

:Release
::
set ASMOPT=/nologo /c /coff
set LNKOPT=/nologo /SUBSYSTEM:WINDOWS /OPT:NOWIN98 /RELEASE
goto Target

:Debug
::
set ASMOPT=/nologo /c /coff /Zi /Fl /Sn
:: Link options for LINK V5.12
::set LNKOPT=/nologo /SUBSYSTEM:WINDOWS /DEBUG:FULL /DEBUGTYPE:COFF /MAP /OPT:REF
:: Link options for LINK V7.00
set LNKOPT=/nologo /SUBSYSTEM:WINDOWS /DEBUG /MAP /OPT:REF

:Target
::
set TARGET=tui
set LNKDEP=.\comn\comn.obj .\db\db.obj .\sbar\sbar.obj .\time\time.obj


:: Clean.

if exist tui.exe del tui.exe
if exist *.ilk del *.ilk
if exist *.lst del *.lst
if exist *.map del *.map
if exist *.obj del *.obj
if exist *.pdb del *.pdb
if exist *.rep del *.rep
if exist res\rc.rep del res\rc.rep
if exist *.rpt del *.rpt


:: Details.

echo Target: %TARGET% [%1]
::
link /? | find /I "Version 7.00.9466" > nul
if errorlevel 1 goto L512
echo Linker: 7.00.9466
goto ShowOpts
:L512
link /? | find /I "Version 5.12" > nul
if errorlevel 1 goto ShowOpts
echo Linker: 5.12
::
:ShowOpts
echo Asm:    %ASMOPT%
echo Link:   %LNKOPT%
echo Deps:   %LNKDEP%


:: Assemble modules.

cd .\comn
call make.bat
cd ..\db
call make.bat
cd ..\sbar
call make.bat
cd ..\time
call make.bat
cd ..


:: Assemble Tui.

ml %ASMOPT% %TARGET%.asm >> asm.rep
if errorlevel 1 goto AsmError
del asm.rep
echo Tui:    assembly ok


:: Resources.

cd .\res
rc /v tui.rc >> rc.rep
if errorlevel 1 goto RcError
del rc.rep
move tui.res .. >> nul
echo.        resources ok
cd ..


:: Link.

link %LNKOPT% %TARGET%.obj %LNKDEP% %TARGET%.res >> lnk.rep
if errorlevel 1 goto LnkError
del lnk.rep
echo.        link ok
echo All Ok
echo.
move tui.exe ..
if exist tui.pdb move tui.pdb ..
goto TheEnd


:: Errorhandlers.

:AsmError
echo Tui:    ASM ERROR! - sent to ASM.REP and echoed below
type asm.rep | more
goto TheEnd

:RcError
echo Tui:    RC ERROR! - sent to \res\RC.REP
cd ..
goto TheEnd

:LnkError
echo Tui:    LINK ERROR! - sent to LNK.REP


:: Exit.

:TheEnd
if exist *.obj del *.obj
if exist *.res del *.res
if exist .\db\*.obj del .\db\*.obj
if exist .\comn\*.obj del .\comn\*.obj
if exist .\sbar\*.obj del .\sbar\*.obj
if exist .\time\*.obj del .\time\*.obj
echo.
echo Any key to exit
pause > nul
::---------------------------------------------------------------------------
