;============================================================================
; SBARHLP.ASM
;
; Tui Help text.
; This lives in the data section of SBAR.ASM
;
; A new db line has to be started every now and again or the line becomes
; too long for Masm.
;============================================================================




	align	dword

HelpText	label	byte

	db	CR,LF,
	TB,TB,TB,'TUI - A Time based User Interface',
	CR,LF,
	CR,LF,
	CR,LF,
	'Contents',
	CR,LF,
	CR,LF,
	TB,'Introduction',
	CR,LF,
	TB,'SideBar',
	CR,LF,
	TB,'Time window',
	CR,LF,
	TB,'Time navigation',
	CR,LF,
	TB,'Finding items',
	CR,LF,
	TB,'Item groups'
	db	CR,LF,
	TB,'Item thumbnails',
	CR,LF,
	TB,'Database update',
	CR,LF,
	TB,'Options',
	CR,LF,
	TB,'Version',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Introduction',
	CR,LF,
	CR,LF,
	CR,LF,
	'Tui is a graphical time oriented display of all data items on all ',
	'hard drives on your computer. When started for the first time it ',
	'creates a database of all items then updates the database in the ',
	'background from then on.'
	db	CR,LF,
	CR,LF,
	'At first exit from Tui the database is saved to the file TUI.DBB ',
	'in the same directory as Tui is run from so it does not have to be ',
	'recreated at subsequent invocations. Also created is an ',
	'initialisation file, TUI.INI, which contains default settings for ',
	'Tui. There are various things you can customise which are saved ',
	'here and reloaded when Tui is next started. ',
	CR,LF,
	CR,LF,
	CR,LF
	db	'SideBar',
	CR,LF,
	CR,LF,
	CR,LF,
	'The SideBar window is inactive until you move the mouse into the ',
	'right side of the screen. It then expands to show various ',
	'function buttons which are fairly self explanatory.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Time window',
	CR,LF,
	CR,LF,
	CR,LF,
	'The Time window is full screen and initially shows all items from ',
	'the latest to the earliest by date and time.',
	CR,LF
	db	CR,LF,
	'Each item is shown as a rectangular box that increases in size as ',
	'it gets closer. The box shows an icon for the item and its time, ',
	'name and path. If it is a known text item then a synopsis of the ',
	'first 128 characters is shown and if it is an known image item ',
	'then a thumbnail is shown - see Item thumbnails below.'
	db	CR,LF,
	CR,LF,
	'A left button double click on a item will execute it so it will ',
	'generally be opened by its associated application. Items having a ',
	'radioactive icon should generally not be executed - in other ',
	'words, do so at your own risk!. Note that the ability to execute ',
	'an item is subject to your access permissions for it when using ',
	'Win2000 and WinXP.'
	db	CR,LF,
	CR,LF,
	'A right button click on an item opens a menu showing details of ',
	'the item and various functions. See the Groups section below.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Time navigation',
	CR,LF,
	CR,LF,
	CR,LF,
	'Mousing into the top or the bottom edges of the screen moves the ',
	'display backward or forward in time. If the mouse pointer is left ',
	'at the top or bottom then the display will automatically change. ',
	'The rate of change can be increased or decreased with the up/down ',
	'arrows on your keyboard. If the mouse is wiped across either edge ',
	'the display will change rapidly.'
	db	CR,LF,
	CR,LF,
	'If you have a wheel mouse then the wheel will scroll the display.',
	CR,LF,
	CR,LF,
	'At the top left corner is the time of the oldest item and at the ',
	'bottom left corner is the time of the newest item. A left mouse ',
	'click in either will set the display to the newest or oldest item.'
	db	CR,LF,
	CR,LF,
	'As the display changes a time box will move up and down between ',
	'the top and bottom time boxes to show the time of the first item ',
	'currently visible. If you left click and drag in the time section ',
	'of this box you can scroll the display up and down between the ',
	'start and end times.'
	db	CR,LF,
	CR,LF,
	'If you left click in the up or down sections of this box then the ',
	'start or end times will be set to the time in the box. This allows ',
	'items dated over a required range to be set.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Finding items',
	CR,LF,
	CR,LF,
	CR,LF,
	'On the SideBar is a Find button. This opens a dialog in which you ',
	'can select items to display that contain a text pattern. This ',
	'pattern can be in the item name, data or path. Thus if the pattern ',
	'".txt" is entered then every item ending in ".txt" will be shown. ',
	'Entering * will reset the display to all items.'
	db	CR,LF,
	CR,LF,
	'Note that the search will only scan items in selected Groups, see ',
	'below. Also note the "Find in Item data" option will do a full scan ',
	'of every item that is marked as Containing Text (in the item right ',
	'click menu) and is currently in the search that is displayed. It ',
	'can take a long time if you have many items!.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Item Groups',
	CR,LF,
	CR,LF,
	CR,LF,
	'A Group of items is a collection of broadly similiar item types, ',
	'for example all pictures and photos are considered to be in the ',
	'Group "Images". The item right button menu function, Edit ',
	'Properties, enables all items of a specific type to be set to a ',
	'particular Group. You can add unknown item types to a Group from ',
	'here.'
	db	CR,LF,
	CR,LF,
	'Complete Item Groups can be added or removed from the display ',
	'and any search by using the SideBar Groups button.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Item thumbnails',
	CR,LF,
	CR,LF,
	CR,LF,
	'There are two built-in thumbnail handlers, one that will do most ',
	'image formats and one for items that contain text. If an image ',
	'is not catered for then the thumbnail will not be shown. The text ',
	'handler is rudimentary and shows only the first 128 characters ',
	'of an item''s data.'
	db	CR,LF,
	CR,LF,
	'If there are external plugin thumbnail handlers in the ',
	'subdirectory "\plugin", these will be loaded when Tui starts and ',
	'automatically enabled.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Database update',
	CR,LF,
	CR,LF,
	CR,LF,
	'The Database is updated in the background whenever there is a ',
	'change (create/delete/modify) in any item. The Time window ',
	'shows the result of the update after you have moved into the ',
	'SideBar or used the right-click menu on an item, and then have ',
	'changed back to the Time window.'
	db	CR,LF,
	CR,LF,
	'A question mark added to the number of Items line indicates ',
	'the Database is stale so the Time display will be inaccurate ',
	'until the next update.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Options',
	CR,LF,
	CR,LF,
	CR,LF,
	'At present the only Options explicitly available are to change ',
	'the colour of parts of the Time window display. If it ever ',
	'comes up with just icons against a black background then shut ',
	'Tui down, deleted TUI.INI and restart.'
	db	CR,LF,
	'Any changes you make to the Groups or item Type settings are ',
	'also saved in the initialisation file at Tui exit.',
	CR,LF,
	CR,LF,
	CR,LF
	db	'Version',
	CR,LF,
	CR,LF,
	CR,LF,
	'V1.10 - March 2006',
	CR,LF,
	CR,LF,
	'DavK',
	CR,LF
	db	0

	align	dword




;============================================================================
