;============================================================================
; TIMEDBG.ASM
;
; Time module debug/display functions.
;============================================================================




; DrawTime:

Dbg_DT_Entry	proto	hDC:dword,SItems:dword,DItems:dword,BItem:dword,
			DrawNdx:dword,z_Adj:dword
Dbg_DT_NdxZi	proto	DrawNdx:dword,zi:dword
Dbg_DT_Zu1	proto	hDC:dword,BItem:dword
Dbg_DT_ZgtDI	proto	hDC:dword,BItem:dword
Dbg_DT_XY	proto	hDC:dword,x:dword,y:dword
Dbg_DT_Exit	proto	hDC:dword,SItems:dword,DItems:dword,BItem:dword,
			DrawNdx:dword

; DrawItem:

Dbg_DrawItem	proto	hDC:dword,Item:dword,x:dword,y:dword,zi:dword,
			xSize:dword,ySize:dword




.data




pz		dd	0
py		dd	0

szSI		db	" SItms ",0
szDI		db	" DItms ",0
szAdj		db	" Adj ",0
szLoop		db	" # ",0
szDNdx		db	" DNdx ",0
szZi		db	" zi ",0
szBI		db	" BI ",0
szX		db	" x ",0
szY		db	" y ",0
szZu1		db	" z<1 ",0
szZgtDI		db	" z>DI ",0
szLI		db	" LI",0

szSpc		db	0,0,0,0
strg		db	32 dup (0)

tmpdq		real8	+0.0

szDbgBuf	db	256 dup (0)




.code




;----------------------------------------------------------------------------
Dbg_DT_Entry	proc	hDCdbg:dword,SItems:dword,DItems:dword,BItem:dword,
			DrawNdx:dword,z_Adj:dword
;----------------------------------------------------------------------------


	pushad


; Set the coordinates (somewhat arbitrarily).


	mov	eax, xMid
	sub	eax, 120
	mov	pz, eax
	mov	eax, G_ScrnHgt
	sub	eax, (DefDispItems + 3) * ItemTxtY1	; 3 extra lines
	mov	py, eax


; Details.


	invoke	SetBkColor, hDCdbg, CYellow
	push	eax
	invoke	szCopy, addr szSI, addr szDbgBuf	; SrchItems
	invoke	dwtoa, SItems, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szDI	; DispItems
	invoke	dwtoa, DItems, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szBI	; BaseItem
	invoke	dwtoa, BItem, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szDNdx	; DrawNdx
	invoke	dwtoa, DrawNdx, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szAdj	; zAdj
	fld	z_Adj
	fstp	tmpdq
	invoke	FloatToStr, tmpdq, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szSpc
	invoke	StrLen, addr szDbgBuf
	invoke	TextOutA, hDCdbg, pz, py, addr szDbgBuf, eax
	pop	eax
	invoke	SetBkColor, hDCdbg, eax
	add	py, 16


	popad


	ret


Dbg_DT_Entry	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DT_NdxZi	proc	DrawNdx:dword, zi:dword
;----------------------------------------------------------------------------


	pushad


	push	ecx
	invoke	szCopy, addr szLoop, addr szDbgBuf	; ecx
	pop	ecx
	invoke	dwtoa, ecx, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szDNdx	; DrawNdx
	invoke	dwtoa, DrawNdx, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szZi	; zi
	invoke	dwtoa, zi, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg


	popad


	ret


Dbg_DT_NdxZi	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DT_Zu1	proc	hDCdbg:dword,BItem:dword
;----------------------------------------------------------------------------


	pushad


	invoke	SetBkColor, hDCdbg, CYellow
	push	eax
	invoke	SetTextColor, hDCdbg, CBlue
	push	eax
	invoke	szCatStr, addr szDbgBuf, addr szZu1	; z < 1
	invoke	szCatStr, addr szDbgBuf, addr szBI	; BaseItem
	invoke	dwtoa, BItem, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szSpc
	invoke	StrLen, addr szDbgBuf
	invoke	TextOutA, hDCdbg, pz, py, addr szDbgBuf, eax
	pop	eax
	invoke	SetTextColor, hDCdbg, eax
	pop	eax
	invoke	SetBkColor, hDCdbg, eax
	add	py, 16


	popad


	ret


Dbg_DT_Zu1	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DT_ZgtDI	proc	hDCdbg:dword,BItem:dword
;----------------------------------------------------------------------------


	pushad


	invoke	SetBkColor, hDCdbg, CYellow
	push	eax
	invoke	SetTextColor, hDCdbg, CRed
	push	eax
	invoke	szCatStr, addr szDbgBuf, addr szZgtDI	; z > DI
	invoke	szCatStr, addr szDbgBuf, addr szBI	; BaseItem
	invoke	dwtoa, BItem, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szSpc
	invoke	StrLen, addr szDbgBuf
	invoke	TextOutA, hDCdbg, pz, py, addr szDbgBuf, eax
	pop	eax
	invoke	SetTextColor, hDCdbg, eax
	pop	eax
	invoke	SetBkColor, hDCdbg, eax
	add	py, 16


	popad


	ret


Dbg_DT_ZgtDI	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DT_XY	proc	hDCdbg:dword,x:dword,y:dword
;----------------------------------------------------------------------------


	pushad


	invoke	szCatStr, addr szDbgBuf, addr szX	; X
	invoke	dwtoa, x, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szY	; Y
	invoke	dwtoa, y, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szSpc
	invoke	StrLen, addr szDbgBuf
	invoke	TextOutA, hDCdbg, pz, py, addr szDbgBuf, eax
	add	py, 16


	popad


	ret


Dbg_DT_XY	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DT_Exit	proc	hDCdbg:dword,SItems:dword,DItems:dword,BItem:dword,
			DrawNdx:dword
;----------------------------------------------------------------------------


	pushad


	invoke	SetBkColor, hDCdbg, CYellow
	push	eax
	invoke	SetTextColor, hDCdbg, CBlack
	push	eax
	invoke	szCopy, addr szSI, addr szDbgBuf	; SrchItems
	invoke	dwtoa, SItems, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szDI	; DispItems
	invoke	dwtoa, DItems, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szBI	; BaseItem
	invoke	dwtoa, BItem, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szDNdx	; DrawNdx
	invoke	dwtoa, DrawNdx, addr strg
	invoke	szCatStr, addr szDbgBuf, addr strg
	invoke	szCatStr, addr szDbgBuf, addr szSpc
	invoke	StrLen, addr szDbgBuf
	invoke	TextOutA, hDCdbg, pz, py, addr szDbgBuf, eax
	pop	eax
	invoke	SetTextColor, hDCdbg, eax
	pop	eax
	invoke	SetBkColor, hDCdbg, eax


	popad


	ret


Dbg_DT_Exit	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_DrawItem	proc	hDCdbg:dword,Item:dword,x:dword,y:dword,zi:dword,
			xSize:dword,ySize:dword
;----------------------------------------------------------------------------


	local	szStrg[32]	:byte


	pushad


	.if	(zi < ItemLrgZ)			; Large size

		; leave as is.

	.elseif	(zi < ItemVarZ)			; Variable size

		mov	eax, xMid		; Show only the
		add	eax, 100		; first item and
		mov	x, eax			; in the same
		mov	y, 0			; position.
		mov	eax, BaseItem
		mov	Item, eax

	.else	; Don't do for pixel sized items.

		jmp	@@Exit

	.endif

	inc	Item				; count from 1 up

	invoke	SetBkColor, hDCdbg, CRed
	push	eax
	invoke	SetTextColor, hDCdbg, CYellow
	push	eax

	add	y, ItemTxtY1
	mov	dword ptr szStrg[0], 'metI'
	mov	dword ptr szStrg[4], '    '
	mov	edx, Item
	invoke	dwtoa, edx, addr szStrg[8]
	invoke	StrLen, addr szStrg
	invoke	TextOutA, hDCdbg, x, y, addr szStrg, eax

	add	y, ItemTxtY1
	mov	dword ptr szStrg[0], '  iz'
	mov	edx, zi
	invoke	dwtoa, edx, addr szStrg[4]
	invoke	StrLen, addr szStrg
	invoke	TextOutA, hDCdbg, x, y, addr szStrg, eax

	add	y, ItemTxtY1
	mov	dword ptr szStrg[0], 'ziSx'
	mov	dword ptr szStrg[4], '   e'
	mov	edx, xSize
	invoke	dwtoa, edx, addr szStrg[8]
	invoke	StrLen, addr szStrg
	invoke	TextOutA, hDCdbg, x, y, addr szStrg, eax

	add	y, ItemTxtY1
	mov	dword ptr szStrg[0], 'ziSy'
	mov	dword ptr szStrg[4], '   e'
	mov	edx, ySize
	invoke	dwtoa, edx, addr szStrg[8]
	invoke	StrLen, addr szStrg
	invoke	TextOutA, hDCdbg, x, y, addr szStrg, eax

	pop	eax
	invoke	SetTextColor, hDCdbg, eax
	pop	eax
	invoke	SetBkColor, hDCdbg, eax


@@Exit:


	popad


	ret


Dbg_DrawItem	endp
;----------------------------------------------------------------------------




;============================================================================
